---
title: "Button"
description: "Displays a button"
component: true
---

<ComponentExample name="button-demo" />

## Usage

---

```tsx
import { Button } from "@medusajs/ui"
```

```tsx
<Button>Button</Button>
```

## API Reference

---

<ComponentReference mainComponent="Button" />

## Examples

---

### Primary

<ComponentExample name="button-primary" />

### Secondary

<ComponentExample name="button-secondary" />

### Transparent

<ComponentExample name="button-transparent" />

### Danger

<ComponentExample name="button-danger" />

### Disabled

<ComponentExample name="button-disabled" />

### With Icon

<ComponentExample name="button-with-icon" />

### Loading

<ComponentExample name="button-loading" />
